package shuju;

import kingdee.bos.webapi.client.K3CloudApiClient;

public class K3CloudApiClientSon extends K3CloudApiClient {
    public K3CloudApiClientSon(String serverUrl) {
        super(serverUrl);
    }

    public String view(String formid, String data) throws Exception {
        return (String)this.execute("Kingdee.BOS.WebApi.ServicesStub.DynamicFormService.View", new Object[]{formid, data}, String.class);
    }
    public String GetSysReportData(String formid, String data) throws Exception {
        return (String)this.execute("Kingdee.BOS.WebApi.ServicesStub.DynamicFormService.GetSysReportData", new Object[]{formid, data}, String.class);
    }
    public String queryXSDDSLTJ() throws Exception {
        return (String)this.execute("SS.Count.WebApiService.XSDDSLTJ.ExecuteService,SS.Count03.WebApiService", new Object[]{""}, String.class);
    }
    public String queryCGDDSLTJ() throws Exception {
        return (String)this.execute("SS.Count.WebApiService.CGDDSLTJ.ExecuteService,SS.Count03.WebApiService", new Object[]{""}, String.class);
    }
    public String querySCDDTJSL() throws Exception {
        return (String)this.execute("SS.Count.WebApiService.JSKCCount.ExecuteService,SS.Count03.WebApiService", new Object[]{""}, String.class);
    }
}
